Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002602 [JEDI VCL] 00 JVCL Components minor always 2005-02-04 10:32 2005-04-22 05:36
Reporter Xigi View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version
Summary 0002602: JvDBGrid ignores AutoAppend = False in Edit State
Description In TJvDbGrid
Pressing down arrow key on the last record inserts new line even with AutoAppend = False, if dataset is in dsEdit state.
(Start to edit a field, then press down arrow)

Thx a lot
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0006821)
barbarochi (reporter)
2005-04-01 08:14

Had the same problem, try my work around
procedure TFormMain.dbgKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
    if (Key = VK_DOWN) or (Key = VK_TAB) or (Key = VK_UP) or (Key = VK_RETURN) then
begin
      if Self.dbg.Dataset.fieldbyname('firstfield').IsNull then
      Self.dbg.Dataset.cancel;
    end;
end;
(0007038)
obones (administrator)
2005-04-22 05:36

This is now solved in CVS

- Issue History
Date Modified Username Field Change
2005-02-04 10:32 Xigi New Issue
2005-04-01 08:14 barbarochi Note Added: 0006821
2005-04-22 05:36 obones Status new => resolved
2005-04-22 05:36 obones Resolution open => fixed
2005-04-22 05:36 obones Assigned To => obones
2005-04-22 05:36 obones Note Added: 0007038


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker